#ifndef CACREDITS_H
#define CACREDITS_H

#include <ClanLib/core.h>
#include <ClanLib/display.h>
#include "cadialog.h"
#include "castringlist.h"

/** Credits screen.
    @author Andrew Mustun
*/
class CACredits : public CADialog  {
public:
    CACredits();
    ~CACredits();

    virtual void buildScreen();
    virtual void on_button_release( CL_InputDevice *device, const CL_Key &key );

private:
    //! Position of scrolling text


    float scrollPos;
    //! The scrolling text
    CAStringList text;
};

#endif
